#===========================================#
#              Loot Organizer               #
#===========================================#
#                                           #
#   Author: Abigor                          #
#   Discord: Abigor#2005                    #
#   Release Date: 9/14/20                   #
#                                           #
#===========================================#
import sys
sys.path.append(r'C:\Python24\Lib') #May need to update this to your library

import clr

clr.AddReference('System')
clr.AddReference('System.Drawing')
clr.AddReference('System.Windows.Forms')
import System
from System.Collections.Generic import List
from System.Drawing import Point, Color, Size, ContentAlignment
from System.Windows.Forms import (Application, Button, Form, 
    BorderStyle, GroupBox, Label, TextBox, RadioButton,
    FlatStyle)

class MoveItems(Form):
    
    properties = "All Items"
    
    
    def __init__(self):
        
        self.trash = 0
        self.lootchest = 0
        
        self.BackColor = Color.FromArgb(50,50,50)
        self.ForeColor = Color.FromArgb(231,231,231)
        self.Size = Size(300, 330)
        #self.Text = '{0} - v{1}'.format(self.ScriptName, self.CurVer)
        self.TopMost = True

        self.mainBox()
        self.chooseButtons()
        self.moveItems()
        self.searchProps()
        self.Controls.Add(self.topBox)
        self.Controls.Add(self.contSelect)
        self.Controls.Add(self.searchBox)
        self.Controls.Add(self.moveBox)



    def mainBox(self):
        self.topBox = GroupBox()
        self.topBox.BackColor = Color.FromArgb(50,50,50)
        self.topBox.ForeColor = Color.FromArgb(231,231,231)
        self.topBox.Size = Size(200, 50)
        self.topBox.Location = Point(40, 15)
        
        self.Abigorlbl = Label()
        self.Abigorlbl.BackColor = Color.FromArgb(50,50,50)
        self.Abigorlbl.ForeColor = Color.FromArgb(231,231,231)
        self.Abigorlbl.Size = Size(130, 15)
        self.Abigorlbl.Location = Point(40, 15)
        self.Abigorlbl.TextAlign = ContentAlignment.MiddleCenter
        self.Abigorlbl.Text = 'Abigor Loot Organizer'
        
        self.topBox.Controls.Add(self.Abigorlbl)
        
    def chooseButtons(self):
        self.contSelect = GroupBox()
        self.contSelect.BackColor = Color.FromArgb(50,50,50)
        self.contSelect.ForeColor = Color.FromArgb(231,231,231)
        self.contSelect.Size = Size(150, 55)
        self.contSelect.Location = Point(65, 65)
        self.contSelect.Text = 'Select Containers'
        
        self.originCont = Button()
        self.originCont.Text = 'From'
        self.originCont.BackColor = Color.FromArgb(50,50,50)
        self.originCont.Location = Point(15, 15)
        self.originCont.Size = Size(50, 30)
        self.originCont.FlatStyle = FlatStyle.Flat
        self.originCont.FlatAppearance.BorderSize = 1
        self.originCont.Click += self.btnOriginPressed
        
        self.destCont = Button()
        self.destCont.Text = 'To'
        self.destCont.BackColor = Color.FromArgb(50,50,50)
        self.destCont.Location = Point(85, 15)
        self.destCont.Size = Size(50, 30)
        self.destCont.FlatStyle = FlatStyle.Flat
        self.destCont.FlatAppearance.BorderSize = 1
        self.destCont.Click += self.btnDestPressed
        
        self.contSelect.Controls.Add(self.originCont)
        self.contSelect.Controls.Add(self.destCont)
        
    def searchProps(self):
        self.searchBox = GroupBox()
        self.searchBox.BackColor = Color.FromArgb(50,50,50)
        self.searchBox.ForeColor = Color.FromArgb(231,231,231)
        self.searchBox.Size = Size(200, 70)
        self.searchBox.Location = Point(40, 130)
        self.searchBox.Text = 'Search Properties'
        
        self.label = Label()
        self.label.Text = "Item Name / Property"
        self.label.Location = Point(12, 15)
        self.label.Height = 20
        self.label.Width = 125
        
        self.propsTxt = TextBox()
        self.propsTxt.BackColor = Color.FromArgb(231,231,231)
        self.propsTxt.ForeColor = Color.FromArgb(25,25,25)
        self.propsTxt.Size = Size(120, 30)
        self.propsTxt.Location = Point(10, 35)
        self.propsTxt.Text = '{0}'.format(self.properties)
        
        self.searchBox.Controls.Add(self.label)
        self.searchBox.Controls.Add(self.propsTxt)
        
    def moveItems(self):
        self.moveBox = GroupBox()
        self.moveBox.BackColor = Color.FromArgb(50,50,50)
        self.moveBox.ForeColor = Color.FromArgb(231,231,231)
        self.moveBox.Size = Size(200, 60)
        self.moveBox.Location = Point(40, 210)
        #self.moveBox.Text = 'Move Items'
        
        self.moveItems = Button()
        self.moveItems.Text = 'Move Items'
        self.moveItems.BackColor = Color.FromArgb(50,50,50)
        self.moveItems.Location = Point(15, 15)
        self.moveItems.Size = Size(70, 35)
        self.moveItems.FlatStyle = FlatStyle.Flat
        self.moveItems.FlatAppearance.BorderSize = 1
        self.moveItems.Click += self.btnMovePressed
        
        self.moveBox.Controls.Add(self.moveItems)
        
    def btnOriginPressed(self, sender, event):
        global lootchest
        
        lootchest = Target.PromptTarget("Select Origin Container")
        
    def btnDestPressed(self, sender, event):
        global trash 
        
        trash = Target.PromptTarget("Select To Container")
        
    def btnMovePressed(self, sender, event):
        Misc.SendMessage("Moving Items.. Please Wait", 95)
        Items.UseItem(lootchest)
        Misc.Pause(1050)
        
        keyword = (self.propsTxt.Text)
        
        for item in Items.FindBySerial(lootchest).Contains: 
            Items.WaitForProps(item,1000)
            for prop in Items.GetPropStringList(item):
                if keyword in prop: 
                    Items.Move(item,trash,0,item.Position.X,item.Position.Y)
                    Misc.Pause(1150)
                    Misc.SendMessage(prop, 53) # change here according to your needs... Items.Move(item,trash,0) 
                    Misc.Pause(1050)
                    break  
         
        Misc.SendMessage("Done Moving",95)





form = MoveItems()
Application.Run(form)

    